%{!?ruby_sitelib:	%global ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%define		rubyabi		1.8
%define		repoid		71308

%define		majorver	0.6.6
%define		minorver	svn1154_trunk
%undefine		ifpre	

%define		fedorarel	2
%define		rel		%{?ifpre:0.}%{fedorarel}%{?minorver:.%minorver}



Name:		alexandria
Version:	%{majorver}
Release:	%{rel}%{?dist}
Summary:	Book collection manager

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://alexandria.rubyforge.org/
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{name}-%{version}%{?minorver:-%{minorver}}.tar.gz
# Patches discussing with the upstream
# Trial fix for hang up when importing list containing invalid isdn
# ref: alexandria-Bugs-25348
# Check if this issue is fixed in rev 1154
#Patch2:		alexandria-0.6.4.1-hang-importing-invalid-isdn.patch
# Trial fix for crash when importing a book with isdn
# With alexandria-0.6.6, the fix for this issue is still incomplete
# ref: alexandria-BUgs-28263
Patch3:		alexandria-0.6.6-dont_use_thread_when_adding_file_by_isdn.patch
# Upstream patches

BuildArch:	noarch
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygem(rake)
BuildRequires:	desktop-file-utils
# For gconf related macros
BuildRequires:	GConf2
BuildRequires:	gettext
BuildRequires:	intltool

Requires:	ruby
Requires:	ruby(abi) = %{rubyabi}

# Amazon AWS v3 -> v4 switch
# AWS v4 is supported by alexandria itself
# But hpricot is still needed
#Requires:	ruby(amazon)
Requires:	ruby(gettext-package)
Requires:	ruby(hpricot)
Requires:	ruby(htmlentities)
Requires:	ruby(imagesize)
# Dependency removed on 0.6.4b1
#Requires:	ruby(mechanize)
# Kill ruby(revolution) dependency
#Requires:	ruby(revolution)

# ruby(zoom) -> rubygem(zoom) switch
#Requires:	ruby(zoom)
Requires:	rubygem(zoom) >= 0.3.0
Requires:	ruby(marc)

Requires:	ruby(gconf2)
Requires:	ruby(gdkpixbuf2)
Requires:	ruby(glib2)
Requires:	ruby(gnome2)
Requires:	ruby(libglade2)

Requires(pre):		GConf2
Requires(post):		GConf2
Requires(preun):	GConf2

%description
Alexandria is a GNOME application to help you manage your book collection.

%prep
%setup -q -n %{name}-%{majorver}%{?minorver:-%{?minorver}}
# Check if patch2 issue is fixed in rev 1154
#%%patch2 -p0 -b .up25348
%patch3 -p1 -b .up28263

# Embed Fedora EVR
%{__sed} -i.evr \
	-e "s|\(DISPLAY_VERSION = \).*$|\1'%{version}-%{release}'|" \
	Rakefile

# Make msgfmt verbose
%{__sed} -i.msgfmt \
	 -e '/system/s|msgfmt |msgfmt --statistics |' \
	util/rake/gettextgenerate.rb

%build
rake build

%install
%{__rm} -rf $RPM_BUILD_ROOT

rake install_package_staging \
	DESTDIR=$RPM_BUILD_ROOT \
	RUBYLIBDIR=%{ruby_sitelib}

desktop-file-install \
	--vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	--delete-original \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Move gconf files to where Fedora uses
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}
%{__mv} \
	$RPM_BUILD_ROOT%{_datadir}/gconf/ \
	$RPM_BUILD_ROOT%{_sysconfdir}/

# %%{_datadir}/menu seems to be used for debian
# Removing for Fedora
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/menu/

# Cleanups
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
%gconf_schema_prepare %{name}
exit 0

%post
touch --no-create %{_datadir}/icons/hicolor/
%gconf_schema_upgrade %{name}

exit 0

%preun
%gconf_schema_remove %{name}
exit 0

%postun
[ "$1" -eq 0 ] || exit 0

touch --no-create %{_datadir}/icons/hicolor/
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

exit 0

%posttrans
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
exit 0

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%doc ChangeLog*
%doc INSTALL
%doc README*
%doc TODO
%doc doc/[A-Z]*
%doc doc/cuecat_support.rdoc

%{_mandir}/man1/%{name}.1*

%{_bindir}/%{name}
%{ruby_sitelib}/%{name}.rb
%{ruby_sitelib}/%{name}/

%{_sysconfdir}/gconf/schemas/%{name}.schemas

%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/sounds/%{name}/

%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Sun Aug 16 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-2.svn1154
- Update from trunk to try the following fixes
  - Hang with importing bad ISDN number (alexandria-Bugs-25348)
  - UTF-8 issue on WorldCat provider (alexandria-Bugs-28437)
  - Other fixes on providers

* Tue Jun 22 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-1
- Update to 0.6.6
- Still apply Patch3 (it seems isdn segv fix isn't complete)

* Fri Jun 18 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-0.7.beta2
- Execute add_single_book_by_isbn in non-thread, which will fix the crash
  when imporing books with ISDN (upstream bug 28263)

* Sat Jun  5 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-0.6.beta2
- Apply patch for upstream bug 28250, icon view rearrangement issue

* Sat May  8 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-0.5.beta2
- Try 0.6.6 beta2

* Sat May  8 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-0.4.svn1138_trunk
- Try rev 1138, supporting Duban provider
- Scriptlets update

* Wed Dec 23 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-0.3.beta1
- Try 0.6.6 beta1

* Fri Dec 18 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-0.2.alpha
- Use "rake install_package_staging" as explained by the upstream
  (in alexandria-Bugs-27578)
- Kill the creation of 64/128 icons as scalable svg is already installed

* Thu Dec 17 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.6-0.1.alpha
- Try 0.6.6 alpha

* Tue Sep  8 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Wrong patch of sanity check patch applied on F-10/11, fixing...

* Wed Sep  2 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.5-7
- Fix for parsing WorldCat provider search result (alexandria-Bugs-27028)

* Sat Aug 28 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.5-6
- Fix crash on startup in tr_TR.UTF-8 (bug 520170, alexandria-Bugs-27015)

* Thu Aug 27 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.5-5
- Add sanity check for invalid search result, now using upstream patch
- Fix DeaStore provider where search result contains no Author
  (alexandria-Bugs-27000)

* Fri Aug 21 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.5-3
- Clarify GLib.convert usage in utils.rb (does not change the 
  functionality of alexandria, alexandria-Bugs-26968)

* Thu Aug 20 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.5-2
- Kill the previous 2 patches (for now)

* Thu Aug 20 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.5-1
- Update to 0.6.5
- Remove 2 upstreamed patches (1 patch still unremoved)
- Add 2 patches, will report upstream

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-12: Mass rebuild

* Mon Apr 13 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4.1-6
- Trial fix to fix hang when importing list containing invalid
  isdn (alexandria-Bugs-25348)

* Wed Apr  8 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4.1-5
- Embed Fedora EVR

* Tue Apr  7 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4.1-4
- Fix for strange behavior with right click on left pane
  (alexandria-Bugs-25021)

* Thu Mar 26 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4.1-2
- Fix arguments of bindtextdomain() for ruby(gettext) 2.0.0
  (alexandria-Bugs-24882)

* Mon Mar 16 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4.1-1
- 0.6.4.1 (fixing alexandria-Bugs-24568)

* Sun Mar 15 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4-1
- 0.6.4
- Patch from upstream to fix issue when book entry is once sorted
  (alexandria-Bugs-24568)

* Fri Mar  6 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4-0.2.b1
- Add ruby(htmlentities) dependency

* Tue Mar  3 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.4-0.1.b1
- Update to 0.6.4 beta 1
- Drop all patches, merged into upstream

* Fri Feb 27 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-11
- library UTF-8 patch update

* Thu Feb 26 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-10
- Use upstreamed patch for UTF-8 strings issue

* Thu Feb 26 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-9
- Attempt to handle UTF-8 strings in library names correctly
  (alexandria-Bugs-20168)

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-11: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-8
- Global-ize "nested" macro
- GTK icon cache update scripts update

* Wed Feb  4 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-7
- Add hpricot dependency again (for Amazon provider)

* Sun Jan 11 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-6
- Rebuild to restore ARCHIVESIZE

* Wed Jul 16 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-5
- Remove workaround for bug 436697 (tooltips crash).
  This was a bug on ruby-gnome2 which is fixed in 0.17.0 rc1
  (ref: alexandria-Bugs-19042)

* Thu Apr  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-4
- Drop ruby(amazon) dependency (Amazon no longer provides AWSv3,
  AWSv4 is supported by alexandria itself)

* Sun Mar 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-2
- Disable tooltips on_motion func for now to workaround for
  bug 436697

* Sat Feb 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.3-1
- 0.6.3
- One patch removed (applied by upstream)

* Mon Dec 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.2-2
- Trial workaround patch for bug 427070

* Thu Dec 20 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.2-1
- 0.6.2
- Two patches for 0.6.2b2 are removed.

* Sun Dec 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.2-0.6.b2
- Pass exception when user don't use evolution for mailer.
- Fix crash when yelp is not installed.
- Add INSTALL to %%doc as this file contains some useful information.

* Wed Dec 12 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.2-0.3.b2
- Also require ruby(revolution)

* Tue Nov 13 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.2-0.2.b2
- Add more requires of ruby modules to support more function

* Sun Nov  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.2-0.1.b2
- And try 0.6.2 beta 2

* Fri Nov  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.2-0.1.b1
- Try 0.6.2 beta 1

* Fri May 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-3
- This time completely disable scrollkeeper-update
- Create 128x128 icon also

* Tue May  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-2
- Fix scriptlets typo

* Sun Apr 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-1
- Initial packaging

